tx = require 'texture'

spriteMetatable = {}
spriteMethods = {}
	
function spriteMethods.drawStrip(self, strip, x, y, sy)
	self.texture:drawStrip(strip, x, y, sy)
end

function spriteMethods.move(self, xSpeed)
	self.x = self.x + xSpeed
end

spriteMetatable.__index = spriteMethods

function spriteMetatable.__lt(sprite2, sprite1)
	if sprite1.distToPlayer < sprite2.distToPlayer then return true end
	return false
end

function spriteMetatable.__le(sprite2, sprite1)
	if sprite1.distToPlayer <= sprite2.distToPlayer then return true end
	return false
end


Sprite = {}

function Sprite:New(x, y, image)
	sprite = {}
		sprite.x = x
		sprite.y = y
		sprite.texture = tx:New(image)
	
	setmetatable(sprite, spriteMetatable)

	return sprite
end


return Sprite